## Contributing
First of all, thank you for considering to contribute in this volunteer project. If you're ready, let's get started.

1. [Requirements](#requirements)
2. [Development Workflow](#development-workflow)
3. [Submitting Pull Request](#submitting-pull-requests)
4. [Reminders](#reminders)

## Requirements
Here are the list of software tools and third party libraries that you need to have and install before you start developing:

* [Python]() - currently we're using 3.6.3
* [PyQt5]() - for the Graphical User Interface (GUI)
* [keyboard](https://github.com/boppreh/keyboard) - a Python third party library responsible for _Gestures_ core operations

## Development Workflow
Each private or open source project has its own development workflow which is tailored in their organization. So here are the steps that you need to consider while working on this project.

1. Fork _Gestures_
2. Switch to the `develop` branch
3. Make your own branch or commit directly to the `develop` branch
4. Submit Pull Requests

## Submitting Pull Requests
If this is your first time submitting a pull requests, you are not alone --we've been there. Just read [this guide](http://google.com) and you are good to go.

Once approved and merged, you can check your [first PR](http://firstpr.me) to celebrate your open source contribution. #hurray #firstPR

## Reminders
**Do commit in the `develop` branch**. All development commits are all happening in this branch and it is identifiable as `develop-[version_number]`.

**Do not commit on the `master` branch.** This branch is only use to deploy _Gestures_. The `develop` branch is only allowed to apply changes in this branch.
